declare const _default: {
    "resources": {
        "projects": {
            "resources": {
                "locations": {
                    "resources": {
                        "clusters": {
                            "methods": {
                                "setLegacyAbac": {
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "name": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "setResourceLabels": {
                                    "request": {
                                        "$ref": string;
                                    };
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "name": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                    };
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "updateMaster": {
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "name": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "setLocations": {
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "name": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                };
                                "update": {
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "httpMethod": string;
                                    "parameterOrder": string[];
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameters": {
                                        "name": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "id": string;
                                    "path": string;
                                };
                                "setMasterAuth": {
                                    "httpMethod": string;
                                    "parameterOrder": string[];
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameters": {
                                        "name": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "id": string;
                                    "path": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                };
                                "setLogging": {
                                    "flatPath": string;
                                    "id": string;
                                    "path": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "httpMethod": string;
                                    "parameterOrder": string[];
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameters": {
                                        "name": {
                                            "pattern": string;
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                };
                                "list": {
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                        "parent": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                        };
                                        "projectId": {
                                            "description": string;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                };
                                "create": {
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "parent": {
                                            "pattern": string;
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                };
                                "completeIpRotation": {
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "name": {
                                            "pattern": string;
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                };
                                "get": {
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "name": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "description": string;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "setNetworkPolicy": {
                                    "request": {
                                        "$ref": string;
                                    };
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "name": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                    };
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "setAddons": {
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "name": {
                                            "pattern": string;
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                };
                                "startIpRotation": {
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "name": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                    };
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "description": string;
                                };
                                "setMonitoring": {
                                    "httpMethod": string;
                                    "parameterOrder": string[];
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameters": {
                                        "name": {
                                            "pattern": string;
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "id": string;
                                    "path": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                };
                                "setMaintenancePolicy": {
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "name": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                };
                                "delete": {
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "name": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                        };
                                        "projectId": {
                                            "description": string;
                                            "type": string;
                                            "location": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                            };
                            "resources": {
                                "nodePools": {
                                    "methods": {
                                        "delete": {
                                            "description": string;
                                            "httpMethod": string;
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "parameters": {
                                                "projectId": {
                                                    "description": string;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "zone": {
                                                    "description": string;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "clusterId": {
                                                    "description": string;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "nodePoolId": {
                                                    "description": string;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "name": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "pattern": string;
                                                };
                                            };
                                            "scopes": string[];
                                            "flatPath": string;
                                            "id": string;
                                            "path": string;
                                        };
                                        "setSize": {
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "scopes": string[];
                                            "parameters": {
                                                "name": {
                                                    "pattern": string;
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                            };
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                            "description": string;
                                        };
                                        "setManagement": {
                                            "description": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "parameters": {
                                                "name": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "pattern": string;
                                                    "location": string;
                                                };
                                            };
                                            "scopes": string[];
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                        };
                                        "list": {
                                            "description": string;
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "parameters": {
                                                "zone": {
                                                    "description": string;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "parent": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "pattern": string;
                                                    "location": string;
                                                };
                                                "clusterId": {
                                                    "description": string;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "projectId": {
                                                    "description": string;
                                                    "type": string;
                                                    "location": string;
                                                };
                                            };
                                            "scopes": string[];
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                        };
                                        "rollback": {
                                            "description": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "parameters": {
                                                "name": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "pattern": string;
                                                    "location": string;
                                                };
                                            };
                                            "scopes": string[];
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                        };
                                        "create": {
                                            "path": string;
                                            "id": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                            "description": string;
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "scopes": string[];
                                            "parameters": {
                                                "parent": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "pattern": string;
                                                };
                                            };
                                            "flatPath": string;
                                        };
                                        "get": {
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "scopes": string[];
                                            "parameters": {
                                                "projectId": {
                                                    "location": string;
                                                    "description": string;
                                                    "type": string;
                                                };
                                                "zone": {
                                                    "description": string;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "clusterId": {
                                                    "description": string;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "nodePoolId": {
                                                    "location": string;
                                                    "description": string;
                                                    "type": string;
                                                };
                                                "name": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "pattern": string;
                                                    "location": string;
                                                };
                                            };
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                            "description": string;
                                        };
                                        "update": {
                                            "description": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "parameters": {
                                                "name": {
                                                    "pattern": string;
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                            };
                                            "scopes": string[];
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                        };
                                        "setAutoscaling": {
                                            "httpMethod": string;
                                            "parameterOrder": string[];
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameters": {
                                                "name": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "pattern": string;
                                                    "location": string;
                                                };
                                            };
                                            "scopes": string[];
                                            "flatPath": string;
                                            "id": string;
                                            "path": string;
                                            "description": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                        };
                                    };
                                };
                            };
                        };
                        "operations": {
                            "methods": {
                                "cancel": {
                                    "httpMethod": string;
                                    "parameterOrder": string[];
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameters": {
                                        "name": {
                                            "pattern": string;
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "id": string;
                                    "path": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                };
                                "list": {
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                        "parent": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "get": {
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "operationId": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                        "name": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                    };
                                    "flatPath": string;
                                };
                            };
                        };
                    };
                    "methods": {
                        "list": {
                            "httpMethod": string;
                            "response": {
                                "$ref": string;
                            };
                            "parameterOrder": string[];
                            "parameters": {
                                "parent": {
                                    "description": string;
                                    "required": boolean;
                                    "type": string;
                                    "pattern": string;
                                    "location": string;
                                };
                            };
                            "scopes": string[];
                            "flatPath": string;
                            "id": string;
                            "path": string;
                            "description": string;
                        };
                        "getServerConfig": {
                            "description": string;
                            "response": {
                                "$ref": string;
                            };
                            "parameterOrder": string[];
                            "httpMethod": string;
                            "parameters": {
                                "zone": {
                                    "description": string;
                                    "type": string;
                                    "location": string;
                                };
                                "name": {
                                    "pattern": string;
                                    "location": string;
                                    "description": string;
                                    "required": boolean;
                                    "type": string;
                                };
                                "projectId": {
                                    "location": string;
                                    "description": string;
                                    "type": string;
                                };
                            };
                            "scopes": string[];
                            "flatPath": string;
                            "path": string;
                            "id": string;
                        };
                    };
                };
                "aggregated": {
                    "resources": {
                        "usableSubnetworks": {
                            "methods": {
                                "list": {
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "filter": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                        "pageToken": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                        "pageSize": {
                                            "description": string;
                                            "format": string;
                                            "type": string;
                                            "location": string;
                                        };
                                        "parent": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "pattern": string;
                                            "location": string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                "zones": {
                    "methods": {
                        "getServerconfig": {
                            "description": string;
                            "httpMethod": string;
                            "response": {
                                "$ref": string;
                            };
                            "parameterOrder": string[];
                            "parameters": {
                                "name": {
                                    "location": string;
                                    "description": string;
                                    "type": string;
                                };
                                "projectId": {
                                    "description": string;
                                    "required": boolean;
                                    "type": string;
                                    "location": string;
                                };
                                "zone": {
                                    "location": string;
                                    "description": string;
                                    "required": boolean;
                                    "type": string;
                                };
                            };
                            "scopes": string[];
                            "flatPath": string;
                            "id": string;
                            "path": string;
                        };
                    };
                    "resources": {
                        "clusters": {
                            "methods": {
                                "addons": {
                                    "request": {
                                        "$ref": string;
                                    };
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "setMaintenancePolicy": {
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                };
                                "delete": {
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "projectId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "clusterId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "name": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                };
                                "locations": {
                                    "httpMethod": string;
                                    "parameterOrder": string[];
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameters": {
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "projectId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "id": string;
                                    "path": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                };
                                "update": {
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "clusterId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                };
                                "monitoring": {
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "projectId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "master": {
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "httpMethod": string;
                                    "parameterOrder": string[];
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameters": {
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "id": string;
                                    "path": string;
                                };
                                "setMasterAuth": {
                                    "path": string;
                                    "id": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "flatPath": string;
                                };
                                "logging": {
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "httpMethod": string;
                                    "parameterOrder": string[];
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameters": {
                                        "projectId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "id": string;
                                    "path": string;
                                };
                                "list": {
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "projectId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "parent": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                    };
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                };
                                "resourceLabels": {
                                    "request": {
                                        "$ref": string;
                                    };
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "projectId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "clusterId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "create": {
                                    "request": {
                                        "$ref": string;
                                    };
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "completeIpRotation": {
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "projectId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "get": {
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "name": {
                                            "location": string;
                                            "description": string;
                                            "type": string;
                                        };
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "clusterId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "setNetworkPolicy": {
                                    "request": {
                                        "$ref": string;
                                    };
                                    "description": string;
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "scopes": string[];
                                    "parameters": {
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "clusterId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "projectId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                                "legacyAbac": {
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "clusterId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                };
                                "startIpRotation": {
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "projectId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "clusterId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                };
                            };
                            "resources": {
                                "nodePools": {
                                    "methods": {
                                        "list": {
                                            "description": string;
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "scopes": string[];
                                            "parameters": {
                                                "projectId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "zone": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "clusterId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "parent": {
                                                    "location": string;
                                                    "description": string;
                                                    "type": string;
                                                };
                                            };
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                        };
                                        "rollback": {
                                            "httpMethod": string;
                                            "parameterOrder": string[];
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameters": {
                                                "zone": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "clusterId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "nodePoolId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "projectId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                            };
                                            "scopes": string[];
                                            "flatPath": string;
                                            "id": string;
                                            "path": string;
                                            "description": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                        };
                                        "create": {
                                            "request": {
                                                "$ref": string;
                                            };
                                            "description": string;
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "scopes": string[];
                                            "parameters": {
                                                "projectId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "zone": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "clusterId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                            };
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                        };
                                        "autoscaling": {
                                            "description": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                            "httpMethod": string;
                                            "parameterOrder": string[];
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameters": {
                                                "projectId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "zone": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "clusterId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "nodePoolId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                            };
                                            "scopes": string[];
                                            "flatPath": string;
                                            "id": string;
                                            "path": string;
                                        };
                                        "get": {
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "parameters": {
                                                "nodePoolId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "name": {
                                                    "location": string;
                                                    "description": string;
                                                    "type": string;
                                                };
                                                "projectId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "zone": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "clusterId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                            };
                                            "scopes": string[];
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                            "description": string;
                                        };
                                        "update": {
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "parameters": {
                                                "projectId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "zone": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "clusterId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "nodePoolId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                            };
                                            "scopes": string[];
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                            "description": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                        };
                                        "setSize": {
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                            "description": string;
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "scopes": string[];
                                            "parameters": {
                                                "nodePoolId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "projectId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "zone": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "clusterId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                            };
                                        };
                                        "setManagement": {
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                            "request": {
                                                "$ref": string;
                                            };
                                            "description": string;
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "scopes": string[];
                                            "parameters": {
                                                "projectId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "zone": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "clusterId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "nodePoolId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                            };
                                        };
                                        "delete": {
                                            "description": string;
                                            "response": {
                                                "$ref": string;
                                            };
                                            "parameterOrder": string[];
                                            "httpMethod": string;
                                            "scopes": string[];
                                            "parameters": {
                                                "zone": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "clusterId": {
                                                    "location": string;
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                };
                                                "nodePoolId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "name": {
                                                    "description": string;
                                                    "type": string;
                                                    "location": string;
                                                };
                                                "projectId": {
                                                    "description": string;
                                                    "required": boolean;
                                                    "type": string;
                                                    "location": string;
                                                };
                                            };
                                            "flatPath": string;
                                            "path": string;
                                            "id": string;
                                        };
                                    };
                                };
                            };
                        };
                        "operations": {
                            "methods": {
                                "list": {
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "parent": {
                                            "description": string;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                };
                                "get": {
                                    "flatPath": string;
                                    "id": string;
                                    "path": string;
                                    "description": string;
                                    "httpMethod": string;
                                    "parameterOrder": string[];
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameters": {
                                        "zone": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "name": {
                                            "description": string;
                                            "type": string;
                                            "location": string;
                                        };
                                        "operationId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                        "projectId": {
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                            "location": string;
                                        };
                                    };
                                    "scopes": string[];
                                };
                                "cancel": {
                                    "response": {
                                        "$ref": string;
                                    };
                                    "parameterOrder": string[];
                                    "httpMethod": string;
                                    "parameters": {
                                        "operationId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "projectId": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                        "zone": {
                                            "location": string;
                                            "description": string;
                                            "required": boolean;
                                            "type": string;
                                        };
                                    };
                                    "scopes": string[];
                                    "flatPath": string;
                                    "path": string;
                                    "id": string;
                                    "description": string;
                                    "request": {
                                        "$ref": string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
    };
    "parameters": {
        "upload_protocol": {
            "description": string;
            "type": string;
            "location": string;
        };
        "prettyPrint": {
            "location": string;
            "description": string;
            "type": string;
            "default": string;
        };
        "quotaUser": {
            "location": string;
            "description": string;
            "type": string;
        };
        "fields": {
            "location": string;
            "description": string;
            "type": string;
        };
        "uploadType": {
            "description": string;
            "type": string;
            "location": string;
        };
        "$.xgafv": {
            "description": string;
            "type": string;
            "enumDescriptions": string[];
            "location": string;
            "enum": string[];
        };
        "oauth_token": {
            "description": string;
            "type": string;
            "location": string;
        };
        "callback": {
            "description": string;
            "type": string;
            "location": string;
        };
        "alt": {
            "description": string;
            "default": string;
            "enum": string[];
            "type": string;
            "enumDescriptions": string[];
            "location": string;
        };
        "key": {
            "description": string;
            "type": string;
            "location": string;
        };
        "access_token": {
            "location": string;
            "description": string;
            "type": string;
        };
    };
    "version": string;
    "baseUrl": string;
    "servicePath": string;
    "description": string;
    "kind": string;
    "basePath": string;
    "documentationLink": string;
    "id": string;
    "revision": string;
    "discoveryVersion": string;
    "version_module": boolean;
    "schemas": {
        "IPAllocationPolicy": {
            "properties": {
                "servicesIpv4Cidr": {
                    "description": string;
                    "type": string;
                };
                "servicesIpv4CidrBlock": {
                    "description": string;
                    "type": string;
                };
                "allowRouteOverlap": {
                    "description": string;
                    "type": string;
                };
                "nodeIpv4Cidr": {
                    "description": string;
                    "type": string;
                };
                "clusterSecondaryRangeName": {
                    "description": string;
                    "type": string;
                };
                "clusterIpv4CidrBlock": {
                    "description": string;
                    "type": string;
                };
                "nodeIpv4CidrBlock": {
                    "description": string;
                    "type": string;
                };
                "tpuIpv4CidrBlock": {
                    "description": string;
                    "type": string;
                };
                "createSubnetwork": {
                    "description": string;
                    "type": string;
                };
                "useIpAliases": {
                    "description": string;
                    "type": string;
                };
                "servicesSecondaryRangeName": {
                    "description": string;
                    "type": string;
                };
                "subnetworkName": {
                    "description": string;
                    "type": string;
                };
                "clusterIpv4Cidr": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "ClusterUpdate": {
            "description": string;
            "type": string;
            "properties": {
                "desiredBinaryAuthorization": {
                    "description": string;
                    "$ref": string;
                };
                "desiredAddonsConfig": {
                    "$ref": string;
                    "description": string;
                };
                "desiredNodeVersion": {
                    "description": string;
                    "type": string;
                };
                "desiredPodSecurityPolicyConfig": {
                    "$ref": string;
                    "description": string;
                };
                "desiredClusterAutoscaling": {
                    "description": string;
                    "$ref": string;
                };
                "desiredMasterAuthorizedNetworksConfig": {
                    "description": string;
                    "$ref": string;
                };
                "desiredLocations": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "desiredNodePoolAutoscaling": {
                    "$ref": string;
                    "description": string;
                };
                "desiredMonitoringService": {
                    "description": string;
                    "type": string;
                };
                "desiredImageType": {
                    "description": string;
                    "type": string;
                };
                "desiredNodePoolId": {
                    "description": string;
                    "type": string;
                };
                "desiredMasterVersion": {
                    "description": string;
                    "type": string;
                };
                "desiredLoggingService": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "HorizontalPodAutoscaling": {
            "description": string;
            "type": string;
            "properties": {
                "disabled": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SetNodePoolManagementRequest": {
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "management": {
                    "description": string;
                    "$ref": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "nodePoolId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "MasterAuthorizedNetworksConfig": {
            "description": string;
            "type": string;
            "properties": {
                "cidrBlocks": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "enabled": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SetNodePoolAutoscalingRequest": {
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "autoscaling": {
                    "description": string;
                    "$ref": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "nodePoolId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "CreateClusterRequest": {
            "description": string;
            "type": string;
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "parent": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "cluster": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "Location": {
            "description": string;
            "type": string;
            "properties": {
                "name": {
                    "description": string;
                    "type": string;
                };
                "recommended": {
                    "description": string;
                    "type": string;
                };
                "type": {
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                };
            };
            "id": string;
        };
        "MaxPodsConstraint": {
            "description": string;
            "type": string;
            "properties": {
                "maxPodsPerNode": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "PrivateClusterConfig": {
            "description": string;
            "type": string;
            "properties": {
                "privateEndpoint": {
                    "description": string;
                    "type": string;
                };
                "enablePrivateNodes": {
                    "description": string;
                    "type": string;
                };
                "enablePrivateEndpoint": {
                    "description": string;
                    "type": string;
                };
                "masterIpv4CidrBlock": {
                    "description": string;
                    "type": string;
                };
                "publicEndpoint": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "UpdateNodePoolRequest": {
            "description": string;
            "type": string;
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "nodeVersion": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "nodePoolId": {
                    "description": string;
                    "type": string;
                };
                "imageType": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "AcceleratorConfig": {
            "properties": {
                "acceleratorCount": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "acceleratorType": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "LegacyAbac": {
            "description": string;
            "type": string;
            "properties": {
                "enabled": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SetAddonsConfigRequest": {
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "addonsConfig": {
                    "$ref": string;
                    "description": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "UsableSubnetworkSecondaryRange": {
            "description": string;
            "type": string;
            "properties": {
                "ipCidrRange": {
                    "description": string;
                    "type": string;
                };
                "rangeName": {
                    "description": string;
                    "type": string;
                };
                "status": {
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                };
            };
            "id": string;
        };
        "NodeTaint": {
            "properties": {
                "value": {
                    "description": string;
                    "type": string;
                };
                "effect": {
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                };
                "key": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "SetLegacyAbacRequest": {
            "description": string;
            "type": string;
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "enabled": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "AddonsConfig": {
            "description": string;
            "type": string;
            "properties": {
                "horizontalPodAutoscaling": {
                    "description": string;
                    "$ref": string;
                };
                "httpLoadBalancing": {
                    "description": string;
                    "$ref": string;
                };
                "kubernetesDashboard": {
                    "description": string;
                    "$ref": string;
                };
                "networkPolicyConfig": {
                    "description": string;
                    "$ref": string;
                };
            };
            "id": string;
        };
        "NetworkConfig": {
            "description": string;
            "type": string;
            "properties": {
                "subnetwork": {
                    "description": string;
                    "type": string;
                };
                "network": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SetLocationsRequest": {
            "description": string;
            "type": string;
            "properties": {
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "locations": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SetNodePoolSizeRequest": {
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "nodeCount": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "nodePoolId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "NetworkPolicyConfig": {
            "description": string;
            "type": string;
            "properties": {
                "disabled": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "UpdateClusterRequest": {
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "update": {
                    "description": string;
                    "$ref": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "Cluster": {
            "description": string;
            "type": string;
            "properties": {
                "labelFingerprint": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "loggingService": {
                    "description": string;
                    "type": string;
                };
                "nodeIpv4CidrSize": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "expireTime": {
                    "description": string;
                    "type": string;
                };
                "masterAuthorizedNetworksConfig": {
                    "$ref": string;
                    "description": string;
                };
                "statusMessage": {
                    "description": string;
                    "type": string;
                };
                "masterAuth": {
                    "description": string;
                    "$ref": string;
                };
                "masterIpv4CidrBlock": {
                    "description": string;
                    "type": string;
                };
                "currentMasterVersion": {
                    "description": string;
                    "type": string;
                };
                "nodeConfig": {
                    "$ref": string;
                    "description": string;
                };
                "addonsConfig": {
                    "$ref": string;
                    "description": string;
                };
                "podSecurityPolicyConfig": {
                    "$ref": string;
                    "description": string;
                };
                "status": {
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                };
                "subnetwork": {
                    "description": string;
                    "type": string;
                };
                "currentNodeVersion": {
                    "description": string;
                    "type": string;
                };
                "networkConfig": {
                    "description": string;
                    "$ref": string;
                };
                "maintenancePolicy": {
                    "$ref": string;
                    "description": string;
                };
                "resourceLabels": {
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "initialClusterVersion": {
                    "description": string;
                    "type": string;
                };
                "ipAllocationPolicy": {
                    "$ref": string;
                    "description": string;
                };
                "location": {
                    "description": string;
                    "type": string;
                };
                "endpoint": {
                    "description": string;
                    "type": string;
                };
                "legacyAbac": {
                    "description": string;
                    "$ref": string;
                };
                "createTime": {
                    "description": string;
                    "type": string;
                };
                "enableTpu": {
                    "description": string;
                    "type": string;
                };
                "clusterIpv4Cidr": {
                    "description": string;
                    "type": string;
                };
                "autoscaling": {
                    "description": string;
                    "$ref": string;
                };
                "initialNodeCount": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "selfLink": {
                    "description": string;
                    "type": string;
                };
                "nodePools": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "locations": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "instanceGroupUrls": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "networkPolicy": {
                    "description": string;
                    "$ref": string;
                };
                "servicesIpv4Cidr": {
                    "description": string;
                    "type": string;
                };
                "enableKubernetesAlpha": {
                    "description": string;
                    "type": string;
                };
                "description": {
                    "description": string;
                    "type": string;
                };
                "conditions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "privateCluster": {
                    "description": string;
                    "type": string;
                };
                "currentNodeCount": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "privateClusterConfig": {
                    "description": string;
                    "$ref": string;
                };
                "monitoringService": {
                    "description": string;
                    "type": string;
                };
                "binaryAuthorization": {
                    "description": string;
                    "$ref": string;
                };
                "defaultMaxPodsConstraint": {
                    "$ref": string;
                    "description": string;
                };
                "tpuIpv4CidrBlock": {
                    "description": string;
                    "type": string;
                };
                "network": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "CreateNodePoolRequest": {
            "properties": {
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "nodePool": {
                    "$ref": string;
                    "description": string;
                };
                "parent": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "MasterAuth": {
            "description": string;
            "type": string;
            "properties": {
                "clusterCaCertificate": {
                    "description": string;
                    "type": string;
                };
                "clientCertificate": {
                    "description": string;
                    "type": string;
                };
                "username": {
                    "description": string;
                    "type": string;
                };
                "password": {
                    "description": string;
                    "type": string;
                };
                "clientCertificateConfig": {
                    "description": string;
                    "$ref": string;
                };
                "clientKey": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "DailyMaintenanceWindow": {
            "description": string;
            "type": string;
            "properties": {
                "duration": {
                    "description": string;
                    "type": string;
                };
                "startTime": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ClientCertificateConfig": {
            "description": string;
            "type": string;
            "properties": {
                "issueClientCertificate": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "MaintenancePolicy": {
            "description": string;
            "type": string;
            "properties": {
                "window": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "ClusterAutoscaling": {
            "description": string;
            "type": string;
            "properties": {
                "resourceLimits": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "enableNodeAutoprovisioning": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SetLoggingServiceRequest": {
            "description": string;
            "type": string;
            "properties": {
                "loggingService": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SetMaintenancePolicyRequest": {
            "description": string;
            "type": string;
            "properties": {
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "maintenancePolicy": {
                    "$ref": string;
                    "description": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Empty": {
            "description": string;
            "type": string;
            "properties": {};
            "id": string;
        };
        "ResourceLimit": {
            "description": string;
            "type": string;
            "properties": {
                "maximum": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "resourceType": {
                    "description": string;
                    "type": string;
                };
                "minimum": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "OperationProgress": {
            "properties": {
                "name": {
                    "description": string;
                    "type": string;
                };
                "stages": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "status": {
                    "enumDescriptions": string[];
                    "enum": string[];
                    "description": string;
                    "type": string;
                };
                "metrics": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "WorkloadMetadataConfig": {
            "properties": {
                "nodeMetadata": {
                    "enum": string[];
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "ListNodePoolsResponse": {
            "description": string;
            "type": string;
            "properties": {
                "nodePools": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "CompleteIPRotationRequest": {
            "description": string;
            "type": string;
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "StartIPRotationRequest": {
            "properties": {
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "rotateCredentials": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "Metric": {
            "description": string;
            "type": string;
            "properties": {
                "intValue": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "stringValue": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "doubleValue": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ListUsableSubnetworksResponse": {
            "description": string;
            "type": string;
            "properties": {
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
                "subnetworks": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "ListLocationsResponse": {
            "properties": {
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
                "locations": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "NodePool": {
            "description": string;
            "type": string;
            "properties": {
                "statusMessage": {
                    "description": string;
                    "type": string;
                };
                "autoscaling": {
                    "$ref": string;
                    "description": string;
                };
                "initialNodeCount": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "selfLink": {
                    "description": string;
                    "type": string;
                };
                "version": {
                    "description": string;
                    "type": string;
                };
                "instanceGroupUrls": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "conditions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "status": {
                    "enumDescriptions": string[];
                    "enum": string[];
                    "description": string;
                    "type": string;
                };
                "config": {
                    "$ref": string;
                    "description": string;
                };
                "maxPodsConstraint": {
                    "description": string;
                    "$ref": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "management": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "SetLabelsRequest": {
            "description": string;
            "type": string;
            "properties": {
                "labelFingerprint": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "resourceLabels": {
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "NodeManagement": {
            "description": string;
            "type": string;
            "properties": {
                "autoUpgrade": {
                    "description": string;
                    "type": string;
                };
                "autoRepair": {
                    "description": string;
                    "type": string;
                };
                "upgradeOptions": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "CancelOperationRequest": {
            "description": string;
            "type": string;
            "properties": {
                "name": {
                    "description": string;
                    "type": string;
                };
                "operationId": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "KubernetesDashboard": {
            "description": string;
            "type": string;
            "properties": {
                "disabled": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Operation": {
            "description": string;
            "type": string;
            "properties": {
                "nodepoolConditions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "location": {
                    "description": string;
                    "type": string;
                };
                "endTime": {
                    "description": string;
                    "type": string;
                };
                "startTime": {
                    "description": string;
                    "type": string;
                };
                "progress": {
                    "$ref": string;
                    "description": string;
                };
                "clusterConditions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "statusMessage": {
                    "description": string;
                    "type": string;
                };
                "selfLink": {
                    "description": string;
                    "type": string;
                };
                "targetLink": {
                    "description": string;
                    "type": string;
                };
                "detail": {
                    "description": string;
                    "type": string;
                };
                "operationType": {
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                };
                "status": {
                    "enumDescriptions": string[];
                    "enum": string[];
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "MaintenanceWindow": {
            "properties": {
                "dailyMaintenanceWindow": {
                    "description": string;
                    "$ref": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "RollbackNodePoolUpgradeRequest": {
            "description": string;
            "type": string;
            "properties": {
                "nodePoolId": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "NetworkPolicy": {
            "description": string;
            "type": string;
            "properties": {
                "enabled": {
                    "description": string;
                    "type": string;
                };
                "provider": {
                    "enumDescriptions": string[];
                    "enum": string[];
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "UpdateMasterRequest": {
            "description": string;
            "type": string;
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "masterVersion": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "StatusCondition": {
            "description": string;
            "type": string;
            "properties": {
                "message": {
                    "description": string;
                    "type": string;
                };
                "code": {
                    "enumDescriptions": string[];
                    "enum": string[];
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ListOperationsResponse": {
            "description": string;
            "type": string;
            "properties": {
                "missingZones": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "operations": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "SetMonitoringServiceRequest": {
            "description": string;
            "type": string;
            "properties": {
                "monitoringService": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "BinaryAuthorization": {
            "description": string;
            "type": string;
            "properties": {
                "enabled": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "CidrBlock": {
            "description": string;
            "type": string;
            "properties": {
                "displayName": {
                    "description": string;
                    "type": string;
                };
                "cidrBlock": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ServerConfig": {
            "description": string;
            "type": string;
            "properties": {
                "validMasterVersions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "defaultClusterVersion": {
                    "description": string;
                    "type": string;
                };
                "defaultImageType": {
                    "description": string;
                    "type": string;
                };
                "validNodeVersions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "validImageTypes": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
            };
            "id": string;
        };
        "NodeConfig": {
            "description": string;
            "type": string;
            "properties": {
                "labels": {
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "diskSizeGb": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "workloadMetadataConfig": {
                    "$ref": string;
                    "description": string;
                };
                "accelerators": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "diskType": {
                    "description": string;
                    "type": string;
                };
                "machineType": {
                    "description": string;
                    "type": string;
                };
                "minCpuPlatform": {
                    "description": string;
                    "type": string;
                };
                "preemptible": {
                    "description": string;
                    "type": string;
                };
                "localSsdCount": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "metadata": {
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "tags": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "serviceAccount": {
                    "description": string;
                    "type": string;
                };
                "imageType": {
                    "description": string;
                    "type": string;
                };
                "oauthScopes": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "taints": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "AutoUpgradeOptions": {
            "properties": {
                "description": {
                    "description": string;
                    "type": string;
                };
                "autoUpgradeStartTime": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "ListClustersResponse": {
            "properties": {
                "missingZones": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "clusters": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "UsableSubnetwork": {
            "description": string;
            "type": string;
            "properties": {
                "ipCidrRange": {
                    "description": string;
                    "type": string;
                };
                "subnetwork": {
                    "description": string;
                    "type": string;
                };
                "network": {
                    "description": string;
                    "type": string;
                };
                "statusMessage": {
                    "description": string;
                    "type": string;
                };
                "secondaryIpRanges": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
        };
        "PodSecurityPolicyConfig": {
            "properties": {
                "enabled": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "HttpLoadBalancing": {
            "properties": {
                "disabled": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "SetMasterAuthRequest": {
            "properties": {
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "update": {
                    "description": string;
                    "$ref": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "action": {
                    "enumDescriptions": string[];
                    "enum": string[];
                    "description": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "NodePoolAutoscaling": {
            "description": string;
            "type": string;
            "properties": {
                "maxNodeCount": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "minNodeCount": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "autoprovisioned": {
                    "description": string;
                    "type": string;
                };
                "enabled": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "SetNetworkPolicyRequest": {
            "description": string;
            "type": string;
            "properties": {
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
                "clusterId": {
                    "description": string;
                    "type": string;
                };
                "networkPolicy": {
                    "$ref": string;
                    "description": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
    };
    "protocol": string;
    "icons": {
        "x16": string;
        "x32": string;
    };
    "canonicalName": string;
    "auth": {
        "oauth2": {
            "scopes": {
                "https://www.googleapis.com/auth/cloud-platform": {
                    "description": string;
                };
            };
        };
    };
    "rootUrl": string;
    "ownerDomain": string;
    "name": string;
    "batchPath": string;
    "fullyEncodeReservedExpansion": boolean;
    "title": string;
    "ownerName": string;
};
export default _default;
//# sourceMappingURL=container-v1beta1.d.ts.map